<ngb-carousel *ngIf="images">
  <ng-template ngbSlide *ngFor="let image of images; index as i">
    <div class="img-wrapper">
      <img [src]="image.path" alt="Random {{ i }} slide" />
    </div>
    <div class="carousel-caption" *ngIf="image.title || image.description">
      <h3>{{ image.title }}</h3>
      <p>{{ image.description }}</p>
    </div>
  </ng-template>
</ngb-carousel>

<div ngbAccordion [closeOthers]="true" style="padding-top: 2rem;">
  <div ngbAccordionItem *ngFor="let panel of newsPanels">
    <h2 ngbAccordionHeader>
      <button ngbAccordionButton>
        <span><b>[{{ panel.date | date : 'yyyy/MM/dd HH:mm' }}][{{ panel.category }}]</b> {{ panel.title }} by {{ panel.author }}</span>
      </button>
    </h2>
    <div ngbAccordionCollapse>
      <div ngbAccordionBody>
        <div [innerHTML]="sanitizer.bypassSecurityTrustHtml(panel.content)"></div>
      </div>
    </div>
  </div>
</div>
